Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0036631
TypeCategorySeverityReproducibilityDate SubmittedLast Update
feature request[Modules] External Data IntegrationminorN/A2017-08-09 15:072017-09-01 08:26
ReportercaristuView Statuspublic 
Assigned Tocaristu 
PrioritynormalResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revision6ec51d2698e7
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Regression date
Regression introduced by commit
Regression level
Review Assigned Toalostale
Regression introduced in release
Summary

0036631: Context Data is not initialized in obtainWriter() method of OutputDataProcessor

DescriptionThe fix for issue 0036330 made accessible the context data for classes extending OutputDataProcessor.

One of the methods that must be implemented by those classes is the obtainWriter() method. In case it is desired to retrieve information from the context data at that point, it is currently not possible as the context data is initialized right after the execution of that method.
Steps To ReproduceIn description
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to feature request 0036330 closedcaristu OutputDataProcessor does not have access to the process context data 

-  Notes
(0098462)
hgbot (developer)
2017-08-10 08:41

Repository: erp/pmods/org.openbravo.externaldata.integration
Changeset: 6ec51d2698e716700759c2745da4a3d06eaa9f95
Author: Carlos Aristu <carlos.aristu <at> openbravo.com>
Date: Thu Aug 10 08:38:07 2017 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.externaldata.integration/rev/6ec51d2698e716700759c2745da4a3d06eaa9f95 [^]

fixes issue 36631: Initialize context data before obtaining the writer

 Now the context data is initialized before invoking obtainWriter(). This allows to configure the writer dynamically depending on the context.

---
M src/org/openbravo/externaldata/integration/process/OutputDataProcessor.java
---
(0098742)
alostale (developer)
2017-08-31 09:47

reviewed
(0098763)
caristu (developer)
2017-09-01 08:26

Fixed in version 2.0.203

- Issue History
Date Modified Username Field Change
2017-08-09 15:07 caristu New Issue
2017-08-09 15:07 caristu Assigned To => platform
2017-08-09 15:07 caristu Relationship added related to 0036330
2017-08-09 15:07 caristu Assigned To platform => caristu
2017-08-10 08:41 hgbot Checkin
2017-08-10 08:41 hgbot Note Added: 0098462
2017-08-10 08:41 hgbot Status new => resolved
2017-08-10 08:41 hgbot Resolution open => fixed
2017-08-10 08:41 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.externaldata.integration/rev/6ec51d2698e716700759c2745da4a3d06eaa9f95 [^]
2017-08-10 08:42 caristu Review Assigned To => alostale
2017-08-10 08:42 caristu Issue Monitored: alostale
2017-08-31 09:47 alostale Note Added: 0098742
2017-08-31 09:47 alostale Status resolved => closed
2017-09-01 08:26 caristu Note Added: 0098763


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker